# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'teatime/version'

Gem::Specification.new do |spec|
  spec.name          = "teatime"
  spec.version       = Teatime::VERSION
  spec.authors       = ["Jakob Holderbaum"]
  spec.email         = ["jakob@featurefabrik.de"]
  spec.summary       = %q{A sweet testing Teatime with mocha.js and chai.js}
  spec.description   = (<<-DESC
      At featurefabrik, we are big fans of javascript and testing. 
      Also we believe, that mocha.js and chai.js are simply awesome.
      To remove the npm dependencies and enable fast and simple testing of
      non-Rails projects with js usage, we built Teatime.
    DESC
  ).gsub(/^\s*/, '')
  spec.homepage      = "https://github.com/featurefabrik/teatime"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.3"
  spec.add_development_dependency "rake"

  spec.add_dependency "haml"
  spec.add_dependency "sinatra"
end
